Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class Timestamp

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.Timestamp

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:38:34+02:00",
               comments="JAXB RI v2.3.6")
    public class Timestamp

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
             <element name="RFC3161TimeStampToken" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Other" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Timestamp()`

Method Summary
`AnyType` | `getOther()` Gets the value of the other property.
`byte[]` | `getRFC3161TimeStampToken()` Gets the value of the rfc3161TimeStampToken property.
`Signature` | `getSignature()` Gets the value of the signature property.
`void` | `setOther(AnyType value)` Sets the value of the other property.
`void` | `setRFC3161TimeStampToken(byte[] value)` Sets the value of the rfc3161TimeStampToken property.
`void` | `setSignature(Signature value)` Sets the value of the signature property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timestamp

    public Timestamp()

Method Detail

### getOther

    public AnyType getOther()

  Gets the value of the other property.

  Returns:
    possible object is `AnyType`

### setOther

    public void setOther(AnyType value)

  Sets the value of the other property.

  Parameters:
    `value` - allowed object is `AnyType`

### getRFC3161TimeStampToken

    public byte[] getRFC3161TimeStampToken()

  Gets the value of the rfc3161TimeStampToken property.

  Returns:
    possible object is byte[]

### setRFC3161TimeStampToken

    public void setRFC3161TimeStampToken(byte[] value)

  Sets the value of the rfc3161TimeStampToken property.

  Parameters:
    `value` - allowed object is byte[]

### getSignature

    public Signature getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is `Signature`

### setSignature

    public void setSignature(Signature value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `Signature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.